
define service {
	service_description		imap_ssl_login_ex2010cas
	use				generic-service-active
	host_name			exchangeimap
	max_check_attempts		2
	normal_check_interval		10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_imapssl!csgtst06
	contacts			CISDR
}

define service {
	service_description		webcheck_https_SharePoint
	use				generic-service
	host_name			sp, sp2010prod
	check_command			check_https_sp!https://$HOSTNAME$.Princeton.EDU/oit/csg/sharepoint/default.aspx!groundwk
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_SharePoint
	use				generic-service
	host_name			sp2016
	check_command			check_https_sp-2016!https://$HOSTNAME$.Princeton.EDU/SiteAssets!groundwk
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_mysite2010prod
	use				generic-service
	host_name			sp2010prod
	check_command			check_https_sp_logos!https://mysite2010prod.Princeton.EDU!groundwk!$USER30$
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_mysite2016
	use				generic-service
	host_name			sp2016
	check_command			check_https_sp_logos-2016!https://mysite2016.Princeton.EDU!groundwk!$USER30$
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_WSS_SP4_Content
	use				generic-service
	host_name			sp2010prod
	check_command			check_https_sp!https://sp2010prod.princeton.edu/wsssp4test/SitePages/Home.aspx!groundwk!$USER30$
	contacts			Sharepoint Admin
}

define service {
	service_description		SMTP
	use				generic-service-active
	host_name			csghubprod, csghub208w, csghub209w, lists, oldsmtp, smtp
	max_check_attempts		5
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10
	contacts			CISDR, CSG OnCall
}

define service {
	service_description		SMTP
	use				generic-service
	host_name			csgsmtp202l, csgsmtp203l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10!-p 25 -S
	contacts			CISDR
}

define service {
	service_description		SMTP
	use				generic-service
	host_name			oaamx101l, oaamx201l, oaamx202l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10!-p 25 -S
	contacts			CISDR
}

define service {
	service_description		SMTP Submission
	use				generic-service
	host_name			csgsmtp202l, csgsmtp203l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10!-p 587 -S
	contacts			CISDR
}

define service {
	service_description		SMTP Submission
	use				generic-service
	host_name			oaamx101l, oaamx201l, oaamx202l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10!-p 587 -S
	contacts			CISDR
}

define service {
	service_description		SMTPS
	use				generic-service
	host_name			csgsmtp202l, csgsmtp203l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtps!5!10
	contacts			CISDR
}

define service {
	service_description		SMTPS
	use				generic-service
	host_name			oaamx101l, oaamx201l, oaamx202l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtps!5!10
	contacts			CISDR
}

define service {
	service_description		SMTPS
	use				generic-service-active
	host_name			smtp
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp_tls!5!7
	contacts			CISDR, CSG OnCall
}

define service {
	service_description		SMTP
	use				generic-service-active
	host_name			ppa01, ppa02, ppa03, ppa04
	max_check_attempts		5
	normal_check_interval		10
	retry_check_interval		5
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_smtp!5!10
	contacts			CISDR
}

define service {
	service_description		https_login_deptedit
	use				generic-service
	host_name			deptbedit, www-dept-edit
	max_check_attempts		5
	notification_period		roxen-devedit
	check_command			check_https_ba!/csgtest/index.xml?__toolbar=1&!443!Home!6!8!-a groundwk:th4de/DC -S
	contacts			CISDR
}

define service {
	service_description		webcheck_https_login_aisedit
	use				generic-service
	host_name			aisedit
	max_check_attempts		5
	notification_period		roxen-devedit
	check_command			check_https_ba!/csgtest/index.xml?__toolbar=1&!443!Home!6!8!-a groundwk:th4de/DC -S
	contacts			CISDR
}

define service {
	service_description		email ppa01 to office365 
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end ppa!grndwk2@princeton.edu!ppa01.Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email ppa02 to office365 
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end ppa!grndwk2@princeton.edu!ppa02.Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email ppa03 to office365
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end ppa!grndwk2@princeton.edu!ppa03.Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email ppa04 to office365 
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end ppa!grndwk2@princeton.edu!ppa04.Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email smtp to office365 
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end TLS!grndwk2!smtp.Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email gmail to office365 
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end SSL advanced!groundwk@Princeton.EDU!groundwk@Princeton.EDU!smtp.gmail.com!grndwk2@Princeton.EDU!grndwk2@Princeton.EDU!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email exchange to gmail
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end SSL advanced!grndwk2@Princeton.EDU!grndwk2!smtp.Princeton.EDU!groundwk@g.Princeton.EDU!groundwk@Princeton.EDU!imap.gmail.com
	contacts			CISDR
}

define service {
	service_description		email office365 to exchange
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end TLS-SSL!csgtst07@Princeton.EDU!csgtst07@Princeton.EDU!$USER12$!smtp.office365.com!csgtst04@Princeton.EDU!csgtst04@Princeton.EDU!$USER12$!exchangeimap.Princeton.EDU
	contacts			CISDR
}

define service {
	service_description		email exchange to office365
	use				email-end2end
	host_name			email-end2end
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check email end2end TLS-SSL!grndwk2@Princeton.EDU!grndwk2!$USER30$!smtp.Princeton.EDU!csgtst07@Princeton.EDU!csgtst07@Princeton.EDU!$USER12$!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		email local to listserv
	use				email-end2end
	host_name			email-end2end
	check_period			Listserv_hours
	#max_check_attempts		4
	#normal_check_interval		15
	#retry_check_interval		5
	notification_period		Listserv_hours
	#check_command			check_imap_receive!exchangeimap.Princeton.EDU!"-20 minutes"!HEADER!Subject!"Lists tests"
	check_command			check email end2end TLS-SSL!grndwk2@Princeton.EDU!grndwk2!$USER30$!smtp.Princeton.EDU!grndwk2@Princeton.EDU!grndwk2@Princeton.EDU!$USER30$!outlook.office365.com
	contacts			CISDR
}

define service {
	service_description		wowza csgwowza201w
	use				generic-service-active
	host_name			puwowzalive	
	check_command			check_rtmp!rtmp://csgwowza201w.princeton.edu/nagios/mp4:sample.mp4
	contacts			CSG OnCall, Dwight D. Bashore
}

define service {
	service_description		wowza csgwowza202w
	use				generic-service-active
	host_name			puwowzalive	
	check_command			check_rtmp!rtmp://csgwowza202w.princeton.edu/nagios/mp4:sample.mp4
	contacts			CSG OnCall, Dwight D. Bashore
}

define service {
	service_description		wowza puwowza
	use				generic-service-active
	host_name			puwowzalive	
	check_command			check_rtmp!rtmp://puwowza.princeton.edu/nagios/mp4:sample.mp4
	contacts			CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w ARABIC
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/ARABIC
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
	service_description		wowza IAMencoder204w CNBC
	use				generic-service-active
	host_name			puwowzalive
	check_command			check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/CNBC
	contacts			CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w CNN
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/CNN
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w CSPAN
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/CSPAN
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w FOX
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/FOX
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w MSNBC
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/MSNBC
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205w ABC_NY
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/ABC_NY
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205W BLOOMBERG 
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/BLOOMBERG
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205w CBS_NY
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/CBS_NY
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205w FOX_NY
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/FOX_NY
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205w NBC_NY
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/NBC_NY
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder205w PBS_WNET 
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/PBS_WNET
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder204w WEATHER
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/WEATHER
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w CHINESE
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/CHINESE
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w FRENCH
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/FRENCH
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w GERMAN
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/GERMAN
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w HEBREW
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/HEBREW
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w ITALIAN
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/ITALIAN
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w JAPANESE
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/JAPANESE
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w POLISH
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/POLISH
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
        service_description             wowza IAMencoder206w SPANISH
        use                             generic-service-active
        host_name                       puwowzalive
        check_command                   check_rtmp!rtmp://puwowzalive.princeton.edu:1935/tigertv-live/SPANISH
        contacts                        CSG OnCall, Dwight D. Bashore
}

define service {
	service_description		CH7 KalturaLive
	use				generic-service
	host_name		  	Kaltura Live	
	check_command			check_service_cluster!$SERVICEDESC$!$SERVICESTATEID:Kaltura Live:CH7 KalturaLive PRIMARY$,$SERVICESTATEID:Kaltura Live:CH7 KalturaLive BACKUP$!!-c @2:
	contacts			CISDR, CISDR OnCall
}

define service {
	service_description		CH8 KalturaLive
	use				generic-service
	host_name			Kaltura Live	
	check_command			check_service_cluster!$SERVICEDESC$!$SERVICESTATEID:Kaltura Live:CH8 KalturaLive PRIMARY$,$SERVICESTATEID:Kaltura Live:CH8 KalturaLive BACKUP$!!-c @2:
	contacts			CISDR, CISDR OnCall
}

define service {
	service_description		CH7 KalturaLive PRIMARY
	use				generic-service-active
	host_name			Kaltura Live	
	check_command			check_rtmp!rtmp://1_i3gqmr0f.p.kpublish.kaltura.com:1935/kLive/1_i3gqmr0f_1!t=1c1c5054
	contacts			Dwight D. Bashore
}

define service {
	service_description		CH7 KalturaLive BACKUP
	use				generic-service-active
	host_name		 	Kaltura Live	
	check_command			check_rtmp!rtmp://1_i3gqmr0f.b.kpublish.kaltura.com:1935/kLive/1_i3gqmr0f_1!t=1c1c5054
	contacts			Dwight D. Bashore
}

define service {
	service_description		CH8 KalturaLive PRIMARY
	use				generic-service-active
	host_name			Kaltura Live	
	check_command			check_rtmp!rtmp://1_qtkl6j3o.p.kpublish.kaltura.com:1935/kLive/1_qtkl6j3o_1!t=ed4caab7
	contacts			Dwight D. Bashore
}

define service {
	service_description		CH8 KalturaLive BACKUP
	use				generic-service-active
	host_name			Kaltura Live	
	check_command			check_rtmp!rtmp://1_qtkl6j3o.b.kpublish.kaltura.com:1935/kLive/1_qtkl6j3o_1!t=ed4caab7
	contacts			Dwight D. Bashore
}


